package domain


type AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto struct {
    /*
        商品编码，与商品条码必选其一，或者同时传入以商品条码为准     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        换购价（单位分）     */
    ExchangePrice  *int64 `json:"exchange_price,omitempty" `

    /*
        商品条码，与商品编码必选其一，或者同时传入以商品条码为准     */
    Barcode  *string `json:"barcode,omitempty" `

    /*
        商品渠道配置信息     */
    SkuChannelConfigs  *[]AlibabaRetailMarketingItempoolActivitySkuAddSkuChannelConfigDTO `json:"sku_channel_configs,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto) SetSkuCode(v string) *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto {
    s.SkuCode = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto) SetExchangePrice(v int64) *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto {
    s.ExchangePrice = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto) SetBarcode(v string) *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto {
    s.Barcode = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto) SetSkuChannelConfigs(v []AlibabaRetailMarketingItempoolActivitySkuAddSkuChannelConfigDTO) *AlibabaRetailMarketingItempoolActivitySkuAddItemPoolSkuActivityElementDto {
    s.SkuChannelConfigs = &v
    return s
}
